program Unpack

  use Unpack_m, only: DoUnpack => Unpack

  character(80) :: InBuf, OutBuf

  do
    read ( *, '(a)', end=9 ) inBuf
    call doUnpack ( inBuf, outBuf )
    print '(a)', trim(outBuf)
  end do

9 stop
end program Unpack
